<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>calender.html</title>
</head>

<body>
    <!-- 달력만들기 -->
    <script>
        let year = 2022, 
            month =12;

        let today = new Date(year, month-1, 1); //month는 0부터 시작함
        let dayInfo = today.getDay(); //요일정보
        today = new Date(year, month, 0); //말일정보
        let lastDay = today.getDate(); //달의 마지막 날짜


        const days = ['Sun', 'Mon', 'Tue', 'Wed', 'Thr', 'Fri', 'Sat'];
        const table = document.createElement('table');
        table.setAttribute('border', '1');
        const thead = document.createElement('thead'); // > tr > th*7
        let tr = document.createElement('tr');
        days.forEach(day => {
            let th = document.createElement('th');
            th.innerText = day;
            tr.append(th);
        })
        thead.append(tr);

        const tbody = document.createElement('tbody'); //> (tr >th*7) *5
        //이번달이 1일 ~31일이라 가정
        tr = document.createElement('tr')
        for(let i = 1; i<=dayInfo; i++){
        let td = document.createElement('td');
        td.innerText = "";
        tr.append(td);
        }
        for (let i = 1; i <= lastDay; i++) {
            td = document.createElement('td');
            td.innerText = i;
            tr.append(td);

            if ((dayInfo+i) % 7 ==0) {
                tbody.append(tr); //여태 만들었던 tr붙인 후
                tr = document.createElement('tr') //새로운 tr(열)생성
            }
           
        }
        tbody.append(tr);

        //append는 appendChild과 다르게 한번에 여러번 하위요소 추가 가능
        table.append(thead, tbody);
        document.body.append(table);

    </script>

</body>

</html>